Skip to main content
PUT
Reschedule a work

Authorizations

Authorization
string
header
required

An API key created in BeanRails, for example brk_live_....

Path Parameters

id
integer
required

The record ID.

Body

application/json
work_date
string<date>

New date, YYYY-MM-DD, in the workspace timezone.

time_window_from
string | null

Start of the time window, HH:mm. Required with time_window_to.

time_window_to
string | null

End of the time window, HH:mm. Must be after time_window_from.

vehicle_id
integer | null

Vehicle to assign, or null to unassign.

Response

The updated schedule of the work.

data
object